import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import Radioitem from './listItem.js';

var DropList =
/*#__PURE__*/
function (_Component) {
  _inherits(DropList, _Component);

  function DropList(props) {
    _classCallCheck(this, DropList);

    return _possibleConstructorReturn(this, _getPrototypeOf(DropList).call(this, props));
  }

  _createClass(DropList, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          itemClick = _this$props.itemClick;
      var list = children.map(function (item, idx) {
        return React.createElement(Radioitem, {
          item: item,
          itemClick: itemClick
        });
      });
      return React.createElement("div", {
        className: "recruit-dropdown"
      }, React.createElement("ul", {
        ref: "dropdownUl",
        className: "recruit-dropdown-list"
      }, list));
    }
  }]);

  return DropList;
}(Component);

export { DropList as default };